Local version incompatible with cloud

Created a graph locally wanted to test it in the cloud got the incompatible message…
Is there a route to solve this please ?

error message
Incompatible solution version: None. GraphStudio version: 3.0.6.

TigerGraph Cloud is running 3.0.6 which is probably not the same as the local version you are using. If you use the export solution and import solution the DB needs to be the same version.

If you script your solution you can deploy it to any version of TigerGraph. If you are looking at scripting your solution this is a good post walking you through a few ways to do that.

Hi Thanks.
But for me this is a disappointing response. I notice that the there are download versions for 3.1.0 and 3.0.5 but not the cloud version 3.0.6.
My preferred route is to use the GUI and import/export, will a 3.0.5 version work in the cloud ?
Or alternatively is there a way of generating the GSQL from an exiting graph in graph studio ?
Its not that I don’t appreciate the ‘freeness’ of the software its just I want to get on with the application of it rather that the technical aspects of GSQL and Tigergraph version.
Kind regards
Paul.

@PGMBIGDATA thanks for raising this issue,
I hope that you’re good to proceed after today’s session .

@PGMBIGDATA
Hi Paul,
Where did you get the exported solution? If you want to import with GUI, then the tar ball you use should be exported from GUI. And yes, a 3.0.5 version should work in the cloud version 3.0.6.
Regards
Jing.

Hi Jing,
thanks.
I created the tar ball locally. the problem is that the cloud version is 3.0.6 but my local edition was 3.1.0 so not backwards compatible ( i found out when i tried to import into the cloud). The nearest downloadable VM from TG is 3.0.5 so before I went through he whole process I wanted to be sure I would not get the same incompatible version issue.

@PGMBIGDATA
No problem. Yes, a 3.1.0 version solution cannot be imported with a 3.0.6 version TigerGraph for now. A 3.0.5 solution would work.